### Method

# Foundry GitCommitBuilder set_message

since: 1.1

#### Declaration [src]

    void
    foundry_git_commit_builder_set_message (
      FoundryGitCommitBuilder* self,
      const char* message
    )

#### Description [src]

Sets the commit message that will be used for the commit.

This must be set to a non-empty string before a commit can be created. Setting this will automatically update the `FoundryGitCommitBuilder:can-commit` property.

Available since: 1.1

Sets property | `Foundry.GitCommitBuilder:message`

#### Parameters

`message`

  Type: `const char*`

  The commit message to use, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.